macro include_once(target, base, offset)
	if !<base> != 1
		!<base> = 1
		pushpc
		if read3(<offset>*3+$0CB66E) != $FFFFFF
			<base> = read3(<offset>*3+$0CB66E)
		else
			freecode cleaned
			<base>:
			incsrc <target>
			ORG <offset>*3+$0CB66E
			dl <base>
		endif
		pullpc
	endif
endmacro
